Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 550648 (gst-0.10-removal)

Summary: Remove media-libs/gstreamer:0.10
Product: Gentoo Linux Reporter: Pacho Ramos <pacho>
Component: Current packagesAssignee: GStreamer package maintainers <gstreamer>
Status: RESOLVED FIXED    
Severity: normal CC: anton.kochkov, bearcatsandor, chrisadr, fdsfgs, gentoo, jamesbroadhead, kensington, mail, mail, navid.zamani, skrattaren
Priority: Normal Keywords: PMASKED, Tracker
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://lists.debian.org/debian-devel/2015/05/msg00335.html
See Also: https://github.com/gentoo/gentoo/pull/3321
https://bugs.gentoo.org/show_bug.cgi?id=629180
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 438972, 552528, 564378, 594878, 597298, 597970, 603270, 604684, 604686, 610434, 610436, 610440, 620772, 621900, 623564, 625646, 625974, 628424, 629136, 629138, 629140, 629142, 629144, 629172, 629174, 629176, 629180, 629182, 629184, 629186, 629192, 629196, 629198, 629200, 629204, 629206, 629208, 629210, 629212, 651086, 684162    
Bug Blocks: 371869    
Deadline: 2019-05-27   

Description Pacho Ramos gentoo-dev 2015-05-28 14:14:04 UTC
Sooner or later we will need to treeclean old gstreamer 0.10 as it is dead and unmaintained for ages. I know it will take a long long time but this is a tracker to start cleaning/fixing/stabilizing reverse deps to allow us to drop this.
Comment 1 Pacho Ramos gentoo-dev 2015-05-28 14:20:33 UTC
Umm, for many cases I see people would need to switch to pulseaudio (like xfce4-volumed or mate-media)... I am not sure if they will be willing to do it (even if that stull if also completely dead and buggy and won't even be ported to gst:1.0 :S)
Comment 2 Pacho Ramos gentoo-dev 2015-05-28 14:39:33 UTC
I see Debian will do the same soon :P
Comment 3 Rafał Mużyło 2015-05-28 16:41:09 UTC
Well, I see two major problems here:

- qt 4 is stuck at 0.10; sure, it's about to enter (already has ?) EOL, but it won't help much the still-to-be-ported apps; qt 5.5 is about to receive an experimental gstreamer 1.0 support in QtMultimedia (IIRC), so we should be clear there sometime soon

- wine uses 0.10 and the upstream is pretty much ignoring the issue for almost 3 years (the upstream bug has been opened on 2012-09-30); there the problem is the code used touches somewhat hard to port parts of API (also it *seems* to use 0.10 API not quite correctly); on the other hand, due to the related glib threading problem, it might already have been broken for quite awhile (since glib 2.32)
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2016-01-05 09:01:33 UTC
Forthcoming clementine-1.3 will also finally use gstreamer-1.x

What bugs me is that icaclient (binary package) still links to gstreamer:0.10
Comment 5 Pacho Ramos gentoo-dev 2016-01-06 14:47:04 UTC
Well, sadly last time I checked we had tons of packages still needing the old gstreamer, and most of them won't probably be fixed ever as their upstreams are dead then... you probably still have time :|
Comment 6 Navid Zamani 2016-12-28 07:02:37 UTC
I don’t know the proper procedure for this, but I just noticed that wxGTK also still depends on gstreamer:0.10. It’s only via a USE flag, but I don’t see it offering any other audio engine USE flags. So …

This needs a bug that this bug depends on too.
Comment 7 Mart Raudsepp gentoo-dev 2017-02-05 11:07:19 UTC
gstreamer:0.10 will remain potentially vulnerable to CVE-2016-9634, CVE-2016-9635, CVE-2016-9636, CVE-2016-9807, CVE-2016-9808, CVE-2016-9809, CVE-2016-9810, CVE-2016-9811, CVE-2016-9812, CVE-2016-9813, CVE-2016-10198, CVE-2016-10199, CVE-2017-5837, CVE-2017-5838, CVE-2017-5839, CVE-2017-5840, CVE-2017-5841, CVE-2017-5842, CVE-2017-5843, CVE-2017-5844, CVE-2017-5845, CVE-2017-5846.
I have no intention of backporting or selectively disabling vulnerable plugins anymore (as now things like qtdemux have fixes, involving partial rewrites to bitreader/bytereader classes; qtdemux is used to play mp4 containers).

So gst 0.10 will need to go as soon as possible.
Help most welcome in converting valid things from https://github.com/gentoo/gentoo/pull/3321 to bugs that block this tracker here.
Comment 8 Valeriy Malov 2017-07-15 13:21:09 UTC
(In reply to Navid Zamani from comment #6)
> I don’t know the proper procedure for this, but I just noticed that wxGTK
> also still depends on gstreamer:0.10. It’s only via a USE flag, but I don’t
> see it offering any other audio engine USE flags. So …
> 
> This needs a bug that this bug depends on too.

There is an open bug 619830 for version bump of wxGTK
Judging by the changelog, wxGTK 3.0.3+ should have gst 1.0 support
Comment 9 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-08-28 15:41:13 UTC
*** Bug 629178 has been marked as a duplicate of this bug. ***
Comment 10 Larry the Git Cow gentoo-dev 2019-04-27 16:33:16 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1545a884cd52779a03f35900a22521f3afd52e16

commit 1545a884cd52779a03f35900a22521f3afd52e16
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2019-04-27 16:03:21 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2019-04-27 16:29:37 +0000

    package.mask: Last rite gstreamer:0.10 and co
    
    Bug: https://bugs.gentoo.org/550648
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 profiles/package.mask | 87 +++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 78 insertions(+), 9 deletions(-)
Comment 11 Mart Raudsepp gentoo-dev 2019-04-27 16:36:10 UTC
Please leave actual ebuild removal to me in a month due to many keeping 1.0 versions alongside them, etc.
Comment 12 Larry the Git Cow gentoo-dev 2019-06-20 21:28:46 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee94b336c61e36d0e5ddbbd85d6b92da69c8e057

commit ee94b336c61e36d0e5ddbbd85d6b92da69c8e057
Author:     Mart Raudsepp <leio@gentoo.org>
AuthorDate: 2019-06-20 21:24:49 +0000
Commit:     Mart Raudsepp <leio@gentoo.org>
CommitDate: 2019-06-20 21:28:38 +0000

    media-libs/gstreamer: remove gstreamer 0.10
    
    Closes: https://bugs.gentoo.org/550648
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Mart Raudsepp <leio@gentoo.org>

 media-libs/gstreamer/Manifest                      |   1 -
 ...er-0.10.36-disable-test_fail_abstract_new.patch |  35 -------
 ...streamer-make-grammar.y-work-with-bison-3.patch |  33 ------
 media-libs/gstreamer/gstreamer-0.10.36-r2.ebuild   | 115 ---------------------
 profiles/package.mask                              |  78 --------------
 5 files changed, 262 deletions(-)